%define anolis_release 1
%global pypi_name resize-right
%global pypi_version 0.0.2

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        The correct way to resize images or tensors. For Numpy or Pytorch (differentiable).

License:        MIT
URL:            https://github.com/assafshocher/ResizeRight
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
This is a resizing packge for images or tensors, that supports both Numpy and
PyTorch (fully differentiable) seamlessly.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This is a resizing packge for images or tensors, that supports both Numpy and
PyTorch (fully differentiable) seamlessly.


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/resize_right
%{python3_sitelib}/resize_right-%{pypi_version}-py%{python3_version}.egg-info


%changelog
* Wed Apr 17 2024 Shenglong Zhu <shenglongzhu@linux.alibaba.com> - 0.0.2-1
- Initial package.
